> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 发布记录列表

> 接口说明：查询当前 API Key 所属用户的发布记录。不传查询参数时返回全部记录；也可以按渠道账号、平台、发布时间范围或发布状态筛选。



## OpenAPI

````yaml /openapi/zh/aitoearn.openapi.json get /api/v2/channels/publish/records
openapi: 3.0.1
info:
  title: AiToEarn 开放平台 API
  description: AiToEarn 开放平台 API，支持在中国站与国际站之间切换调试。业务是否成功以响应体 code === 0 为准。
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: 中国站
  - url: https://aitoearn.ai
    description: 国际站
security: []
tags:
  - name: AI 服务
  - name: AI 服务/视频生成
  - name: AI 服务/图像生成
  - name: 渠道管理
  - name: 渠道管理/账号
  - name: 渠道管理/内容发布
  - name: 渠道管理/平台
  - name: 渠道管理/作品
  - name: 渠道管理/账号分组
  - name: 渠道管理/授权
  - name: 资源管理
  - name: AI 服务/大语言模型
  - name: AI 服务/真人素材
  - name: AI 服务/Agent
paths:
  /api/v2/channels/publish/records:
    get:
      tags:
        - 渠道管理/内容发布
      summary: 发布记录列表
      description: 接口说明：查询当前 API Key 所属用户的发布记录。不传查询参数时返回全部记录；也可以按渠道账号、平台、发布时间范围或发布状态筛选。
      operationId: PublishRecordController_listRecords_v2
      parameters:
        - name: accountId
          in: query
          description: >-
            渠道账号
            ID。可选；取值来自[「账号列表」](/api-reference/get-api-v2-channels-accounts)返回的
            `data.list[n].id`。
          required: false
          schema:
            description: 渠道账号 ID。可选；取值来自「账号列表」返回的 `data.list[n].id`。
            type: string
        - name: accountType
          in: query
          description: >-
            平台标识。可选；取值来自[「平台列表」](/api-reference/get-api-v2-channels-platforms)返回的
            `data[n].platform`。
          required: false
          schema:
            description: 平台标识。可选；取值来自「平台列表」返回的 `data[n].platform`。
            type: string
            enum:
              - douyin
              - xhs
              - wxSph
              - KWAI
              - youtube
              - wxGzh
              - bilibili
              - twitter
              - tiktok
              - facebook
              - instagram
              - threads
              - pinterest
              - linkedin
              - google_business
        - name: time
          in: query
          description: 发布时间范围。可选；传入开始时间和结束时间，时间格式为 ISO 8601。
          required: false
          schema:
            description: 发布时间范围。可选；传入开始时间和结束时间，时间格式为 ISO 8601。
            type: array
            items:
              description: 开始时间
              type: string
              format: date-time
        - name: status
          in: query
          description: 发布状态。可选；用于筛选指定状态的发布记录。
          required: false
          schema:
            description: 发布状态。可选；用于筛选指定状态的发布记录。
            type: number
      responses:
        '200':
          description: 请求已被服务处理。业务是否成功以响应体 code === 0 为准。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        flowId:
                          type: string
                        userTaskId:
                          type: string
                        accountId:
                          type: string
                        accountType:
                          type: string
                        type:
                          type: string
                        status:
                          type: number
                        title:
                          type: string
                        desc:
                          type: string
                        publishTime:
                          type: string
                        platformWorkId:
                          type: string
                        workLink:
                          type: string
                        videoUrl:
                          type: string
                        coverUrl:
                          type: string
                        imgUrlList:
                          type: array
                          items:
                            type: string
                        source:
                          type: string
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                      additionalProperties: false
                  code:
                    type: integer
                    description: 业务状态码。0 表示成功，非 0 表示业务错误。
                  message:
                    type: string
                    description: 响应消息。
                  requestId:
                    type: string
                    description: 请求 ID。
                  timestamp:
                    type: integer
                    description: 错误响应时间戳，Unix 毫秒。
              examples:
                success:
                  summary: 成功
                  value:
                    code: 0
                    message: 请求成功
                    data:
                      - id: string
                        flowId: string
                        userTaskId: string
                        accountId: string
                        accountType: string
                        type: string
                        status: number
                        title: string
                        desc: string
                        publishTime: string
                        platformWorkId: string
                        workLink: string
                        videoUrl: string
                        coverUrl: string
                        imgUrlList:
                          - string
                        source: string
                        createdAt: string
                        updatedAt: string
                    requestId: string
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: 需要从 AiToEarn 获取 API Key。点击前往[「API Key 获取教程」](/zh/use/api-key)。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.